#!/bin/sh
# From configure.in SCCS ID	@(#)configure.in	2.5	4/17/95


#  Get sources from the SCCS directory, if it exists.
if test -d SCCS ; then
	sccs get tcl_sql.sc.in Makefile.in
fi

#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf.
# Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp]
#        [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE[=VALUE]]
# Ignores all args except --srcdir, --prefix, --exec-prefix, and
# --with-PACKAGE[=VALUE] unless this script has special code to handle it.

for arg
do
  # Handle --exec-prefix with a space before the argument.
  if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
  # Handle --host with a space before the argument.
  elif test x$next_host = xyes; then next_host=
  # Handle --prefix with a space before the argument.
  elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
  # Handle --srcdir with a space before the argument.
  elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
  else
    case $arg in
     # For backward compatibility, recognize -exec-prefix and --exec_prefix.
     -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
	exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
	next_exec_prefix=yes ;;

     -gas | --gas | --ga | --g) ;;

     -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
     -host | --host | --hos | --ho | --h)
	next_host=yes ;;

     -nfp | --nfp | --nf) ;;

     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
	prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
	next_prefix=yes ;;

     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
	srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
	next_srcdir=yes ;;

     -with-* | --with-*)
       package=`echo $arg|sed -e 's/-*with-//' -e 's/=.*//'`
       # Reject names that aren't valid shell variable names.
       if test -n "`echo $package| sed 's/[-a-zA-Z0-9_]//g'`"; then
         echo "configure: $package: invalid package name" >&2; exit 1
       fi
       package=`echo $package| sed 's/-/_/g'`
       case "$arg" in
         *=*) val="`echo $arg|sed 's/[^=]*=//'`" ;;
         *) val=1 ;;
       esac
       eval "with_$package='$val'" ;;

     -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
       verbose=yes ;;

     *) ;;
    esac
  fi
done

trap 'rm -fr conftest* confdefs* core; exit 1' 1 3 15
trap 'rm -f confdefs*' 0

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set' ; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set' ; then LANG=C;   export LANG;   fi

rm -f conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
compile='${CC-cc} $CFLAGS conftest.c -o conftest $LIBS >/dev/null 2>&1'

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
unique_file=tcl_sql.sc.in

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  srcdirdefaulted=yes
  # Try the directory containing this script, then `..'.
  prog=$0
  confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
  test "X$confdir" = "X$prog" && confdir=.
  srcdir=$confdir
  if test ! -r $srcdir/$unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$unique_file; then
  if test x$srcdirdefaulted = xyes; then
    echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
  else
    echo "configure: Can not find sources in \`${srcdir}'." 1>&2
  fi
  exit 1
fi
# Preserve a srcdir of `.' to avoid automounter screwups with pwd.
# But we can't avoid them for `..', to make subdirectories work.
case $srcdir in
  .|/*|~*) ;;
  *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
esac


# Save the original args to write them into config.status later.
configure_args="$*"

# Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
# `staff'.  On most BSDish systems install is in /usr/bin, not /usr/ucb
# anyway.  Sigh.
if test "z${INSTALL}" = "z" ; then
  echo checking for install
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    case $dir in
    /etc|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
    *)
      if test -f $dir/installbsd; then
	INSTALL="$dir/installbsd -c" # OSF1
	INSTALL_PROGRAM='$(INSTALL)'
	INSTALL_DATA='$(INSTALL) -m 644'
	break
      fi
      if test -f $dir/install; then
	if grep dspmsg $dir/install >/dev/null 2>&1; then
	  : # AIX
	else
	  INSTALL="$dir/install -c"
	  INSTALL_PROGRAM='$(INSTALL)'
	  INSTALL_DATA='$(INSTALL) -m 644'
	  break
	fi
      fi
      ;;
    esac
  done
  IFS="$saveifs"
fi
INSTALL=${INSTALL-cp}
test -n "$verbose" && echo "	setting INSTALL to $INSTALL"
INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
test -n "$verbose" && echo "	setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}
test -n "$verbose" && echo "	setting INSTALL_DATA to $INSTALL_DATA"

if test -z "$RANLIB"; then
  # Extract the first word of `ranlib', so it can be a program name with args.
  set dummy ranlib; word=$2
  echo checking for $word
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/$word; then
      RANLIB="ranlib"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$RANLIB" && RANLIB=":"
test -n "$RANLIB" && test -n "$verbose" && echo "	setting RANLIB to $RANLIB"

if test -z "$prefix"
then
  echo checking for tclsh to derive installation directory prefix
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="$IFS:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test $dir != . && test -f $dir/tclsh; then
      # Not all systems have dirname.
      prefix=`echo $dir|sed 's%/[^/][^/]*$%%'`
      break
    fi
  done
  IFS="$saveifs"
  echo "	chose installation directory prefix ${prefix}"
fi

CC=${CC-cc}


DEFS="$DEFS -I$prefix/include"


#--------------------------------------------------------------------
#	Check for various typedefs and provide substitutes if
#	they don't exist.
#--------------------------------------------------------------------


#--------------------------------------------------------------------
#	Check for the existence of various libraries.  The order here
#	is important, so that then end up in the right order in the
#	command line generated by Make.
#--------------------------------------------------------------------

LIBS="-L$prefix/lib"
LIBS_save="${LIBS}"
LIBS="${LIBS} -ltcl"
have_lib=""
echo checking for -ltcl
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -ltcl"
else
   :; echo "tcl library not found" ; exit
fi


case $with_DB in
	rdb | RDB)
	    SQLDB=RDB
	    sqldb=rdb
	    esqlc_result=o
	    if test -z "$esqlc"; then
  # Extract the first word of `sqlpre', so it can be a program name with args.
  set dummy sqlpre; word=$2
  echo checking for $word
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/$word; then
      esqlc="sqlpre -l \"cc=$(CC_SWITCHES)\" -s -conn"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$esqlc" && esqlc="0"
test -n "$esqlc" && test -n "$verbose" && echo "	setting esqlc to $esqlc"

	    if test "$esqlc" = 0 ; then
		echo 'Embedded SQL preprocessor "sqlpre" not found'
		exit 1
	    fi
	    esqlc_extern="$esqlc -s -extern"
	    esqlc_ext="sc"
	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lsql"
have_lib=""
echo checking for -lsql
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lsql"
else
   :; echo "Rdb/sql library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lrdbshr"
have_lib=""
echo checking for -lrdbshr
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lrdbshr"
else
   :; echo "Rdb/rdbshr library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lcosi"
have_lib=""
echo checking for -lcosi
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lcosi"
else
   :; echo "Rdb/cosi library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lots"
have_lib=""
echo checking for -lots
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lots"
else
   :; echo "Rdb/ots library not found" ; exit
fi

	    
{
test -n "$verbose" && \
echo "	defining SQLDB_RDB"
echo "#define" SQLDB_RDB 1 >> confdefs.h
DEFS="$DEFS -DSQLDB_RDB=1"
}

	    ;;
	ingres | INGRES)
	    if test -z "$II_SYSTEM" ; then
		echo 'Environment variable II_SYSTEM not set'
		exit 1
	    fi
	    SQLDB=INGRES
	    sqldb=ingres
	    esqlc_ext="sc"
	    esqlc_result=c
	    LIBS="-L$II_SYSTEM/ingres/lib $LIBS"
	    if test -z "$esqlc"; then
  # Extract the first word of `esqlc', so it can be a program name with args.
  set dummy esqlc; word=$2
  echo checking for $word
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/$word; then
      esqlc="esqlc"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$esqlc" && esqlc="0"
test -n "$esqlc" && test -n "$verbose" && echo "	setting esqlc to $esqlc"

	    if test "$esqlc" = 0; then
		echo 'Embedded SQL preprocessor "esqlc" not found'
		exit 1
	    fi
	    esqlc_extern="$esqlc"
	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lingres"
have_lib=""
echo checking for -lingres
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lingres"
else
   :; echo "ingres library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -ldnet"
have_lib=""
echo checking for -ldnet
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -ldnet"
else
   :; echo "dnet library not found..." ; 
		LIBS_save="${LIBS}"
LIBS="${LIBS} -ldnet_stub"
have_lib=""
echo checking for -ldnet_stub
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -ldnet_stub"
else
   :; echo "dnet_stub library not found; link may fail!"
fi


fi

	    
{
test -n "$verbose" && \
echo "	defining SQLDB_INGRES"
echo "#define" SQLDB_INGRES 1 >> confdefs.h
DEFS="$DEFS -DSQLDB_INGRES=1"
}

	    ;;
	informix | INFORMIX)
	    if test -z "$INFORMIXDIR" ; then
		echo 'Environment variable INFORMIXDIR not set'
		exit 1
	    fi
	    SQLDB=INFORMIX
	    sqldb=informix
	    esqlc_ext="ec"
	    esqlc_result=c
	    DEFS="$DEFS -I$INFORMIXDIR/incl/esql"
	    LIBS="-L$INFORMIXDIR/lib -L$INFORMIXDIR/lib/esql $LIBS"
	    if test -z "$esqlc"; then
  # Extract the first word of `esql', so it can be a program name with args.
  set dummy esql; word=$2
  echo checking for $word
  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
  for dir in $PATH; do
    test -z "$dir" && dir=.
    if test -f $dir/$word; then
      esqlc="esql -e"
      break
    fi
  done
  IFS="$saveifs"
fi
test -z "$esqlc" && esqlc="0"
test -n "$esqlc" && test -n "$verbose" && echo "	setting esqlc to $esqlc"

	    if test "$esqlc" = 0; then
		echo 'Embedded SQL preprocessor "esql" not found'
		exit 1
	    fi
	    esqlc_extern="$esqlc"
	    echo "checking for libsql.a"
	    if test ! -f $INFORMIXDIR/lib/esql/libsql.a ; then
		echo "informix/libsql.a library not found" ; exit
	    fi
	    LIBS="$LIBS $INFORMIXDIR/lib/esql/libsql.a"
	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lasf"
have_lib=""
echo checking for -lasf
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lasf"
else
   :; echo "informix/asf library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -ltli"
have_lib=""
echo checking for -ltli
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -ltli"
else
   :; echo "tli library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lots"
have_lib=""
echo checking for -lots
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lots"
else
   :; echo "ots library not found" ; exit
fi

	    echo "checking for netlib.a"
	    if test ! -f $INFORMIXDIR/lib/netlib.a ; then
		echo "informix/netlib.a library not found" ; exit
	    fi
	    LIBS="$LIBS $INFORMIXDIR/lib/netlib.a"
	    LIBS_save="${LIBS}"
LIBS="${LIBS} -lgen"
have_lib=""
echo checking for -lgen
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lgen"
else
   :; echo "informix/gen library not found" ; exit
fi

	    LIBS_save="${LIBS}"
LIBS="${LIBS} -los"
have_lib=""
echo checking for -los
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -los"
else
   :; echo "informix/os library not found" ; exit
fi

	    
{
test -n "$verbose" && \
echo "	defining SQLDB_INFORMIX"
echo "#define" SQLDB_INFORMIX 1 >> confdefs.h
DEFS="$DEFS -DSQLDB_INFORMIX=1"
}

	    ;;
	*) echo "You must define DB to be the database you want to use:"
	    echo "	configure -with-DB=xxx"
	    echo "where xxx is one of: INGRES, RDB, INFORMIX"
	    exit 1
	    ;;
esac






rm -f tcl_sql.$esqlc_ext tcl_sql.c tcl_sql.o sql_$sqldb.c sql_$sqldb.o

LIBS_save="${LIBS}"
LIBS="${LIBS} -lm"
have_lib=""
echo checking for -lm
cat > conftest.c <<EOF
#include "confdefs.h"

int main() { exit(0); }
int t() { main(); }
EOF
if eval $compile; then
  rm -rf conftest*
  have_lib="1"

fi
rm -f conftest*
LIBS="${LIBS_save}"
if test -n "${have_lib}"; then
   :; LIBS="$LIBS -lm"
else
   :; echo "math (m) library not found" ; exit
fi



# Set default prefixes.
if test -n "$prefix"; then
  test -z "$exec_prefix" && exec_prefix='${prefix}'
  prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
  prsub="$prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
fi
# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 3 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

for arg
do
  case "\$arg" in
    -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args ;;
    *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
  esac
done

trap 'rm -f Makefile; exit 1' 1 3 15
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
RANLIB='$RANLIB'
CC='$CC'
esqlc='$esqlc'
SQLDB='$SQLDB'
sqldb='$sqldb'
esqlc_result='$esqlc_result'
esqlc_extern='$esqlc_extern'
esqlc_ext='$esqlc_ext'
LIBS='$LIBS'
srcdir='$srcdir'
DEFS='$DEFS'
prefix='$prefix'
exec_prefix='$exec_prefix'
prsub='$prsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

top_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile"}
for file in .. ${CONFIG_FILES}; do if test "x$file" != x..; then
  srcdir=$top_srcdir
  # Remove last slash and all that follows it.  Not all systems have dirname.
  dir=`echo $file|sed 's%/[^/][^/]*$%%'`
  if test "$dir" != "$file"; then
    test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
    test ! -d $dir && mkdir $dir
  fi
  echo creating $file
  rm -f $file
  echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
  sed -e "
$prsub
$extrasub
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@RANLIB@%$RANLIB%g
s%@CC@%$CC%g
s%@esqlc@%$esqlc%g
s%@SQLDB@%$SQLDB%g
s%@sqldb@%$sqldb%g
s%@esqlc_result@%$esqlc_result%g
s%@esqlc_extern@%$esqlc_extern%g
s%@esqlc_ext@%$esqlc_ext%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@DEFS@%$DEFS%
" $top_srcdir/${file}.in >> $file
fi; done


exit 0
EOF
chmod +x config.status
${CONFIG_SHELL-/bin/sh} config.status

